Proyectos
GET https://pixg.net/api/projects/
curl --request GET \
--url 'https://pixg.net/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | The search string. |
| search_by | Opcional Cadena | What field are you searching by. Allowed values are: name. |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtrar resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena | What field to order the results by. Allowed values are: project_id, datetime, last_datetime, name. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | The page number that you want results from. Defaults to 1. |
| results_per_page | Opcional Entero | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"email_reports": [],
"last_datetime": null,
"datetime": "2026-10-27 04:55:36"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://pixg.net/api/projects?page=1",
"last": "https://pixg.net/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://pixg.net/api/projects?page=1"
}
}
GET https://pixg.net/api/projects/{project_id}
curl --request GET \
--url 'https://pixg.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"email_reports": [],
"last_datetime": null,
"datetime": "2026-10-27 04:55:36"
}
}
POST https://pixg.net/api/projects
| Parameters | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | - |
| color | Opcional Cadena | - |
| email_reports | Opcional Matriz | Notification handler ids |
curl --request POST \
--url 'https://pixg.net/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
--url 'https://pixg.net/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"email_reports": [],
"last_datetime": null,
"datetime": "2026-10-27 04:55:36"
}
}
POST https://pixg.net/api/projects/{project_id}
| Parameters | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | - |
| color | Opcional Cadena | - |
| email_reports | Opcional Matriz | Notification handler ids |
curl --request POST \
--url 'https://pixg.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
--url 'https://pixg.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"email_reports": [],
"last_datetime": null,
"datetime": "2026-10-27 04:55:36"
}
}
DELETE https://pixg.net/api/projects/{project_id}
curl --request DELETE \
--url 'https://pixg.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \